%define srcname	stone_soup

Name:		crawl
Version:	0.13.1
Release:	%mkrel 1
Summary:	Dungeon Crawl Stone Soup, a rogue-like RPG
License:	GPLv2+
Group:		Games/Adventure
Url:		http://crawl.develz.org/
Source0:	http://downloads.sourceforge.net/project/crawl-ref/Stone%20Soup/%{version}/%{srcname}-%{version}-nodeps.tar.xz
Patch0:		%{name}-0.12.2-mga-fixinstall.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	fonts-ttf-dejavu
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(freetype2)
# As of version 0.12.2, crawl still needs lua5.1
BuildRequires:	pkgconfig(lua) < 5.2
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(sqlite3)

%description
Dungeon Crawl Stone Soup is a free rogue-like game of exploration and
treasure-hunting in dungeons filled with dangerous and unfriendly
monsters in a quest for the mystifyingly fabulous Orb of Zot.

The game has diverse species and many different character backgrounds
to choose from, deep tactical game-play, sophisticated magic, religion
and skill systems, and a grand variety of monsters to fight and run
from, making each game unique and challenging.

%package common-data
Summary:	Common data for both game versions
Group:		Games/Adventure
BuildArch:	noarch

%description common-data
This package contains common data used by the console and the tiles
version of the game.

%package console
Summary:	Console version of Dungeon Crawl Stone Soup, a rogue-like RPG
Group:		Games/Adventure
Requires:	%{name}-common-data = %{version}

%description console
Dungeon Crawl Stone Soup is a free rogue-like game of exploration and
treasure-hunting in dungeons filled with dangerous and unfriendly
monsters in a quest for the mystifyingly fabulous Orb of Zot.

The game has diverse species and many different character backgrounds
to choose from, deep tactical game-play, sophisticated magic, religion
and skill systems, and a grand variety of monsters to fight and run
from, making each game unique and challenging.

This package contains the console version of Dungeon Crawl Stone Soup
(with ASCII characters). You can find a graphical version
with tiles in the package crawl-tiles.

%package tiles
Summary:	Tiles version of Dungeon Crawl Stone Soup, a rogue-like RPG
Group:		Games/Adventure
Requires:	%{name}-common-data = %{version}

%description tiles
Dungeon Crawl Stone Soup is a free rogue-like game of exploration and
treasure-hunting in dungeons filled with dangerous and unfriendly
monsters in a quest for the mystifyingly fabulous Orb of Zot.

The game has diverse species and many different character backgrounds
to choose from, deep tactical game-play, sophisticated magic, religion
and skill systems, and a grand variety of monsters to fight and run
from, making each game unique and challenging.

This package contains the tiles version of Dungeon Crawl Stone Soup.
You can find a console version with ASCII characters in the package
crawl-console.

%prep
%setup -q -n %{srcname}-%{version}
%apply_patches

%build
cd source/
%make prefix=%{_prefix} DATADIR=%{_gamesdatadir}/%{name} BINDIR=%{_gamesbindir} DOCDIR=%{_docdir}/%{name} DISPLAYTYPE=console
mv %{name} ../%{name}-console
%make prefix=%{_prefix} DATADIR=%{_gamesdatadir}/%{name} BINDIR=%{_gamesbindir} DOCDIR=%{_docdir}/%{name} DISPLAYTYPE=tiles TILES=y

%install
cd source/
%makeinstall_std prefix=%{_prefix} DATADIR=%{_gamesdatadir}/%{name} BINDIR=%{_gamesbindir} DOCDIR=%{_docdir}/%{name} DISPLAYTYPE=tiles TILES=y
cd ..
install -m0755 %{name}-console %{buildroot}%{_gamesbindir}

convert source/util/%{name}.ico %{name}.png
mkdir -p %{buildroot}%{_miconsdir}
cp %{name}-9.png %{buildroot}%{_miconsdir}/%{name}.png
mkdir -p %{buildroot}%{_liconsdir}
cp %{name}-7.png %{buildroot}%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}%{_iconsdir}
cp %{name}-8.png %{buildroot}%{_iconsdir}/%{name}.png

# Menu entry
mkdir -p %{buildroot}%{_datadir}/applications/
%{__cat} > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Dungeon Crawl Stone Soup
Comment=Roguelike game with 2D graphics
Exec=crawl-tiles
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;AdventureGame;
EOF

%files common-data
%doc %{_docdir}/%{name}/
%{_gamesdatadir}/%{name}/dat/clua/*
%{_gamesdatadir}/%{name}/dat/database/*
%{_gamesdatadir}/%{name}/dat/defaults/*
%{_gamesdatadir}/%{name}/dat/des/*
%{_gamesdatadir}/%{name}/dat/descript/*
%{_gamesdatadir}/%{name}/dat/dlua/*
%{_gamesdatadir}/%{name}/settings/*

%files console
%{_gamesbindir}/%{name}-console

%files tiles
%{_gamesbindir}/%{name}-tiles
%{_gamesdatadir}/%{name}/dat/tiles/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Thu Nov 28 2013 akien <akien> 0.13.1-1.mga4
+ Revision: 554016
- New upstream version 0.13.1: http://crawl.develz.org/main/0.13.1.txt

* Tue Oct 22 2013 umeabot <umeabot> 0.13.0-2.mga4
+ Revision: 541456
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 akien <akien> 0.13.0-1.mga4
+ Revision: 495829
- New version 0.13.0: http://crawl.develz.org/main/0.13.0.txt
- New version 0.12.3: http://crawl.develz.org/main/0.12.3.txt

* Sat Jul 27 2013 akien <akien> 0.12.2-1.mga4
+ Revision: 459042
- Update to upstream version 0.12.2: https://gitorious.org/crawl/crawl/blobs/stone_soup-0.12/crawl-ref/docs/changelog.txt
- BuildRequires added on libpng-devel and libSDL-devel (following upstream INSTALL.txt)
- BuildRequires added on libmesaglu1-devel to allow building the tiles version (dependancy _not_ listed in INSTALL.txt)
- Improved the layout of the specfile (tabulations vs spaces)

* Fri Jan 11 2013 umeabot <umeabot> 0.11.1-2.mga3
+ Revision: 348295
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 akien <akien> 0.11.1-1.mga3
+ Revision: 343052
- Added BuildRequires on fonts-ttf-dejavu, necessary for crawl-tiles.
- Moved the tiles from the package crawl-common-data to the package crawl-tiles.
- Updated the %%files section.
- Changed BuildArch to noarch for data package.
- Update to version 0.11.1. No other packaging changes.

* Mon Jul 23 2012 obgr_seneca <obgr_seneca> 0.10.3-2.mga3
+ Revision: 273682
- Removed second menu subcategory

* Thu Jul 19 2012 akien <akien> 0.10.3-1.mga3
+ Revision: 272531
- Update of crawl from version 0.10.0 to 0.10.3. Several important fixes in the SPEC file (see bug #6519)

  + obgr_seneca <obgr_seneca>
    - added missing br for imagemagick

* Tue Mar 06 2012 akien <akien> 0.10.0-1.mga2
+ Revision: 220420
- Update of crawl to version 0.10.0

* Tue Nov 29 2011 akien <akien> 0.9.1-1.mga2
+ Revision: 174314
- Addition of missing BuildRequires: SDL_image-devel, pkgsubmit(freetype)
- Added a missing build dependency:  zlib-devel
- removed sound enabling since there are no official nor redistributable sound files
- imported package crawl


* Sun Oct 30 2011 Rémi Verschelde <akien@mageia.org> 0.9.1-1.mga2
- Created for Mageia 2
